Не смог установить Docker

Ответить

Автор темы
krut
Сообщения: 120
Зарегистрирован: 06 мар 2020, 07:02

Не смог установить Docker

#1

Сообщение krut » 23 июн 2022, 06:10

https://imgbox.com/oBO7BD9G

Сначала скачал дистрибутив с сайта программы и пробовал запустить кликами мыши. Выскочило окно, что нарушены зависимости. Там была указана команда, которую применил в терминале:

Код: Выделить всё

root@PC:/home/ia# sudo apt-get install -f
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Исправление зависимостей… Готово
Следующие пакеты устанавливались автоматически и больше не требуются:
  python3.7-distutils python3.7-lib2to3
Для их удаления используйте «sudo apt autoremove».
Будут установлены следующие дополнительные пакеты:
  libpython3.6-stdlib libpython3.7-stdlib
Следующие пакеты будут обновлены:
  libpython3.6-stdlib libpython3.7-stdlib
Обновлено 2 пакетов, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 126 пакетов не обновлено.
Установлено или удалено не до конца 80 пакетов.
Необходимо скачать 0 B/3 531 kB архивов.
После данной операции объём занятого дискового пространства уменьшится на 2 552 kB.
Хотите продолжить? [Д/н] y
Настраивается пакет libssl1.1:amd64 (1.1.1f-1ubuntu2.15) …
Настраивается пакет libkmod2:amd64 (27-1ubuntu2.1) …
Настраивается пакет systemd-timesyncd (245.4-4ubuntu3.17) …
Настраивается пакет systemd (245.4-4ubuntu3.17) …
(Чтение базы данных … на данный момент установлено 559072 файла и каталога.)
Подготовка к распаковке …/libpython3.6-stdlib_3.6.15-1+focal3_amd64.deb …
Распаковывается libpython3.6-stdlib:amd64 (3.6.15-1+focal3) на замену (3.6.15-1+focal2) …
Подготовка к распаковке …/libpython3.7-stdlib_3.7.13-1+focal3_amd64.deb …
Распаковывается libpython3.7-stdlib:amd64 (3.7.13-1+focal3) на замену (3.7.13-1+focal1) …
dpkg: ошибка при обработке архива /var/cache/apt/archives/libpython3.7-stdlib_3.7.13-1+focal3_amd64.deb (--unpack):
 попытка перезаписать «/usr/lib/python3.7/distutils/__init__.py», который уже имеется в пакете python3.7-distutils 3.7.13-1+focal1
dpkg-deb: ошибка: вставка subprocess was killed by signal (Обрыв канала)
При обработке следующих пакетов произошли ошибки:
 /var/cache/apt/archives/libpython3.7-stdlib_3.7.13-1+focal3_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
root@PC:/home/ia# 

Ответить